## pajeng 1.1+git20140604.1d5509f042

=== CMakeLists.txt ===
# This file is part of PajeNG
#
# PajeNG is free software: you can redistribute it and/or modify it
# under the terms of the GNU Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# PajeNG is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Public License for more details.
#
# You should have received a copy of the GNU Public License
# along with PajeNG. If not, see <http://www.gnu.org/licenses/>.
CMAKE_MINIMUM_REQUIRED (VERSION 2.8)
PROJECT(pajeng)
SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

set(LIB_INSTALL_DIR lib${LIB_SUFFIX} CACHE PATH "Directory where libraries are installed (relative to CMAKE_INSTALL_PREFIX).")

# The PajeNG (Qt4 version)
SET(PAJE_HEADERS
  src/pajeng/PajeApplication.h
  src/pajeng/PajeWindow.h
  src/pajeng/PajeSpaceTimeFrame.h
  src/pajeng/PajeSpaceTimeView.h)
SET(PAJE_SOURCES
  src/pajeng/main.cc
  src/pajeng/PajeApplication.cc
  src/pajeng/PajeWindow.cc
  src/pajeng/PajeSpaceTimeFrame.cc
  src/pajeng/PajeSpaceTimeView.cc
  src/pajeng/STEntityTypeLayout.cc
  src/pajeng/PajeGraphicsItem.cc)

# The Paje Library (libpaje)
SET(LIBPAJE_HEADERS
  src/libpaje/PajeColor.h
  src/libpaje/PajeException.h
  src/libpaje/PajeProtocols.h
  src/libpaje/PajeComponent.h
  src/libpaje/PajeContainer.h
  src/libpaje/PajeData.h
  src/libpaje/PajeEntity.h
  src/libpaje/PajeEventDecoder.h
  src/libpaje/PajeEventDefinition.h
  src/libpaje/PajeTraceEvent.h
  src/libpaje/PajeEvent.h
  src/libpaje/PajeFileReader.h
  src/libpaje/PajeObject.h
  src/libpaje/PajeSimulator.h
  src/libpaje/PajeType.h
  src/libpaje/PajeValue.h
  src/libpaje/PajeDefinitions.h)
SET(LIBPAJE_SOURCES
  src/libpaje/PajeEventDefinition.cc
  src/libpaje/PajeTraceEvent.cc
  src/libpaje/PajeEvent.cc
  src/libpaje/PajeData.cc
  src/libpaje/PajeFileReader.cc
  src/libpaje/PajeObject.cc
  src/libpaje/PajeEventDecoder.cc
  src/libpaje/PajeSimulator.cc
  src/libpaje/PajeSimulator+Queries.cc
  src/libpaje/PajeSimulator+Commands.cc
  src/libpaje/PajeComponent.cc
  src/libpaje/PajeType.cc
  src/libpaje/PajeValue.cc
  src/libpaje/PajeEntity.cc
  src/libpaje/PajeContainer.cc
  src/libpaje/PajeColor.cc
  src/libpaje/PajeException.cc
  src/libpaje/PajeDefinitions.cc
)

# The Paje Utils Library (libpajeutils)
SET(UTILS_HEADERS
  src/utils/PajeThreadReader.h)
SET(UTILS_SOURCES
  src/utils/PajeThreadReader.cc)

# Paje Validate (checks if a trace file is valid or not)
SET(PAJEVALIDATE_SOURCES src/pj_validate/pj_validate.cc)

# Paje Dump
SET(PAJEDUMP_SOURCES src/pj_dump/pj_dump.cc)

# the cmake options
OPTION(PAJENG         "The PajeNG visualization tool (Qt4 version)" ON)
OPTION(PAJE_UTILS_LIBRARY "The Paje Utils library with QT-dependent components" ON)
OPTION(PAJE_LIBRARY "The Paje library with all the basic components" ON)
OPTION(PAJE_FLEXBISON "The PajeFlexReader" OFF)
OPTION(PJ_DUMP    "Compile pj_dump (program to dump the contents of a trace" ON)
OPTION(PJ_VALIDATE "Compile pj_validate (program to validate a trace" ON)

# The Paje Library (libpaje) 
IF(PAJE_LIBRARY)
  FIND_PACKAGE(Boost REQUIRED)
  ADD_LIBRARY(paje_library SHARED ${LIBPAJE_SOURCES})
  INCLUDE_DIRECTORIES(paje_library ${Boost_INCLUDE_DIR})
  SET_TARGET_PROPERTIES(paje_library PROPERTIES OUTPUT_NAME paje)
  SET_TARGET_PROPERTIES(paje_library PROPERTIES
    # bump when new function are added in the library
    VERSION 1.0
    # bump when ABI is broken (symbols removed or parameters changed)
    SOVERSION 1)
  # bump when the API change (new functions in the header file)
  SET(LIBPAJE_APIVERSION 1)
  INSTALL(TARGETS paje_library DESTINATION ${LIB_INSTALL_DIR})
  INSTALL(FILES ${LIBPAJE_HEADERS} DESTINATION include)

  #pkgconfig
  CONFIGURE_FILE (src/libpaje/libpaje.pc.cmake libpaje.pc @ONLY)
  INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/libpaje.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
ENDIF(PAJE_LIBRARY)

#
# The Paje File Reader based on flex/bison
#
if(PAJE_FLEXBISON)
  FIND_PACKAGE(FLEX REQUIRED)
  FIND_PACKAGE(BISON REQUIRED)
  FLEX_TARGET(scanner src/fb/scanner.l ${CMAKE_CURRENT_BINARY_DIR}/lexer.cc COMPILE_FLAGS "-f")
  BISON_TARGET(parser src/fb/parser.y ${CMAKE_CURRENT_BINARY_DIR}/parser.cc VERBOSE parser.output)
  INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
  INCLUDE_DIRECTORIES(${pajeng_SOURCE_DIR}/src/)
  INCLUDE_DIRECTORIES(${pajeng_SOURCE_DIR}/src/fb/)
  ADD_EXECUTABLE(pjflex
    ${FLEX_scanner_OUTPUTS}
    ${BISON_parser_OUTPUTS}
    src/fb/main.cc
#    src/fb/PajeFlexReader.cc
    )
  TARGET_LINK_LIBRARIES(pjflex ${FLEX_LIBRARIES})
  TARGET_LINK_LIBRARIES(pjflex paje_library)
endif(PAJE_FLEXBISON)

#
# The Paje Utils Library (libpajeutils)
#
IF(PAJE_UTILS_LIBRARY)
  FIND_PACKAGE(Qt4 REQUIRED QtCore QtGui QtOpenGl)
  FIND_PACKAGE(GLUT REQUIRED)
  FIND_PACKAGE(OpenGL REQUIRED)
  QT4_WRAP_CPP(UTILS_HEADERS_MOC ${UTILS_HEADERS})
  INCLUDE(${QT_USE_FILE})
  ADD_DEFINITIONS(${QT_DEFINITIONS})
  LINK_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

  ADD_LIBRARY(paje_utils_library SHARED ${UTILS_SOURCES} ${UTILS_HEADERS_MOC})
  TARGET_LINK_LIBRARIES(paje_utils_library ${QT_LIBRARIES})
  TARGET_LINK_LIBRARIES(paje_utils_library ${GLUT_glut_LIBRARY})
  TARGET_LINK_LIBRARIES(paje_utils_library paje)

  SET_TARGET_PROPERTIES(paje_utils_library PROPERTIES OUTPUT_NAME pajeutils)
  SET_TARGET_PROPERTIES(paje_utils_library PROPERTIES
    # bump when new function are added in the library
    VERSION 1.0
    # bump when ABI is broken (symbols removed or parameters changed)
    SOVERSION 1)
  # bump when the API change (new functions in the header file)
  SET(LIBPAJEUTILS_APIVERSION 1)
  INSTALL(TARGETS paje_utils_library DESTINATION ${LIB_INSTALL_DIR})
  INSTALL(FILES ${UTILS_HEADERS} DESTINATION include)

  #pkgconfig
  CONFIGURE_FILE (src/utils/libpajeutils.pc.cmake libpajeutils.pc @ONLY)
  INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/libpajeutils.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
ENDIF(PAJE_UTILS_LIBRARY)

#
# Paje Validate (checks if a trace file is valid or not)
#
IF(PJ_VALIDATE)
  IF(NOT PAJE_LIBRARY)
    MESSAGE(FATAL_ERROR "You must enable PAJE_LIBRARY to compile pj_validate")
  ENDIF(NOT PAJE_LIBRARY)
  ADD_EXECUTABLE(pj_validate ${PAJEVALIDATE_SOURCES})
  INCLUDE_DIRECTORIES (pj_validate ${PROJECT_SOURCE_DIR}/src/libpaje/)
  TARGET_LINK_LIBRARIES(pj_validate paje_library)
  INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/pj_validate DESTINATION bin)
ENDIF(PJ_VALIDATE)

# Paje Dump
IF(PJ_DUMP)
  IF(NOT PAJE_LIBRARY)
    MESSAGE(FATAL_ERROR "You must enable PAJE_LIBRARY to compile pj_dump")
  ENDIF(NOT PAJE_LIBRARY)
  ADD_EXECUTABLE(pj_dump ${PAJEDUMP_SOURCES})
  INCLUDE_DIRECTORIES (pj_dump ${PROJECT_SOURCE_DIR}/src/libpaje/)
  TARGET_LINK_LIBRARIES(pj_dump paje_library)
  INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/pj_dump DESTINATION bin)
ENDIF(PJ_DUMP)

# The PajeNG
IF(PAJENG)
  IF(NOT PAJE_LIBRARY)
    MESSAGE(FATAL_ERROR "You must enable PAJE_LIBRARY to compile pajeng")
  ENDIF(NOT PAJE_LIBRARY)
  IF(NOT PAJE_UTILS_LIBRARY)
    MESSAGE(FATAL_ERROR "You must enable PAJE_UTILS_LIBRARY to compile pajeng")
  ENDIF(NOT PAJE_UTILS_LIBRARY)
  FIND_PACKAGE(Qt4 REQUIRED QtCore QtGui QtOpenGl)
  FIND_PACKAGE(GLUT REQUIRED)
  FIND_PACKAGE(OpenGL REQUIRED)
  QT4_WRAP_CPP(PAJE_HEADERS_MOC ${PAJE_HEADERS})
  INCLUDE(${QT_USE_FILE})
  ADD_DEFINITIONS(${QT_DEFINITIONS})
  ADD_EXECUTABLE(pajeng ${PAJE_SOURCES} ${PAJE_HEADERS_MOC})
  INCLUDE_DIRECTORIES(pajeng ${PROJECT_SOURCE_DIR}/src/libpaje/)
  TARGET_LINK_LIBRARIES(pajeng ${QT_LIBRARIES})
  TARGET_LINK_LIBRARIES(pajeng ${GLUT_glut_LIBRARY})
  TARGET_LINK_LIBRARIES(pajeng ${OPENGL_gl_LIBRARY})
  TARGET_LINK_LIBRARIES(pajeng ${OPENGL_glu_LIBRARY})
  TARGET_LINK_LIBRARIES(pajeng paje_library)
  TARGET_LINK_LIBRARIES(pajeng paje_utils_library)
  INSTALL(PROGRAMS ${pajeng_BINARY_DIR}/pajeng DESTINATION bin)
  INSTALL(FILES ${UTILS_HEADERS} DESTINATION include)
ENDIF(PAJENG)

add_subdirectory(doc)

=== doc/CMakeLists.txt ===
add_custom_target(man ALL)
find_package(ASCIIDoc REQUIRED)

foreach (_INPUT pj_validate.1.txt pj_dump.1.txt)
  string(REPLACE "." ";" LIST ${_INPUT})
  list(REMOVE_ITEM LIST "txt")
  list(GET LIST 0 1 VAR)
  string(REGEX REPLACE ";" "." _OUTPUT "${VAR}")

  add_custom_command(
    TARGET man
    SOURCE  ${CMAKE_CURRENT_SOURCE_DIR}/${_INPUT}
    COMMAND ${A2X_EXECUTABLE} --doctype manpage --format manpage ${CMAKE_CURRENT_SOURCE_DIR}/${_INPUT} -D ${CMAKE_CURRENT_BINARY_DIR}
    OUTPUTS ${CMAKE_CURRENT_BINARY_DIR}/${_OUTPUT}
    )

  add_custom_command(
    TARGET man
    SOURCE man
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${_OUTPUT}
    )

  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${_OUTPUT} DESTINATION ${CMAKE_INSTALL_PREFIX}/man/man1)

endforeach(_INPUT)

=== debian/changelog ===
pajeng (1.1+git20140604.1d5509f042-1) unstable; urgency=medium

  [ Martin Quinson ]
  * Initial release (Closes: #698233)

  [ Lucas Nussbaum ]
  * Update to new snapshot from git.
  * Minor changes to packaging.

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 04 Jun 2014 08:03:58 +0200

=== debian/control ===
Source: pajeng
Priority: extra
Maintainer: Martin Quinson <mquinson@debian.org>
Uploaders: Lucas Nussbaum <lucas@debian.org>
Build-Depends: debhelper (>= 9.0.0), chrpath,
 libqt4-dev, libboost-dev, freeglut3-dev, cmake, libqt4-opengl-dev,
 asciidoc, libxml2-utils, docbook-xml, xsltproc
Standards-Version: 3.9.5
Section: libs
Homepage: https://github.com/schnorr/pajeng
Vcs-Git: git://anonscm.debian.org/collab-maint/pajeng.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pajeng.git;a=summary

Package: pajeng
Architecture: any
Multi-Arch: foreign
Pre-Depends: multiarch-support
Depends:  ${shlibs:Depends}, ${misc:Depends},
  libpaje1 (= ${binary:Version}), libpajeutils1 (= ${binary:Version})
Description: space-time view and associated tools for Paje trace files
 PajeNG (Paje Next Generation) is a re-implementation (in C++) and
 direct heir of the well-known Paje visualization tool for the
 analysis of execution traces (in the Paje File Format) through trace
 visualization (space/time view). Auxiliary tools are also available
 to dump to CSV and validate the correctness of Paje trace files.

Package: libpaje1
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Parsing, manipulation and simulation of paje trace files
 The libpaje library features the implementation of the Paje File
 Reader, Event Decoder and Simulator. It is capable of reading trace
 files in the Paje file format and keeping them in memory. Data is
 accessed through a well-defined and efficient interface. You can use
 this library to built new visualization techniques for trace
 analysis, without handling all the parsing of files and how events
 are simulated to rebuilt the behavior of the traced application that
 is meant to be analyzed.
 .
 This package contains the run-time files.

Package: libpaje-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${misc:Depends},
 libpaje1 (= ${binary:Version})
Description: Parsing, manipulation and simulation of paje trace files (dev)
 The libpaje library features the implementation of the Paje File
 Reader, Event Decoder and Simulator. It is capable of reading trace
 files in the Paje file format and keeping them in memory. Data is
 accessed through a well-defined and efficient interface. You can use
 this library to built new visualization techniques for trace
 analysis, without handling all the parsing of files and how events
 are simulated to rebuilt the behavior of the traced application that
 is meant to be analyzed.
 .
 This package contains the development files (headers, etc.)

Package: paje-dbg
Section: debug
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${misc:Depends},
 pajeng (= ${binary:Version}) | libpaje1 (= ${binary:Version}) | libpajeutils1 (= ${binary:Version})
Description: Debug symbols for the Paje libraries
 The libpaje library features the implementation of the Paje File
 Reader, Event Decoder and Simulator. It is capable of reading trace
 files in the Paje file format and keeping them in memory. Data is
 accessed through a well-defined and efficient interface. You can use
 this library to built new visualization techniques for trace
 analysis, without handling all the parsing of files and how events
 are simulated to rebuilt the behavior of the traced application that
 is meant to be analyzed.
 .
 This package contains detached debugging symbols for the package
 pajeng and for the libraries libpaje and libpajeutils.

Package: libpajeutils1
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt widgets for handling paje trace files
 This library features Qt widgets to handle Paje trace files. For now,
 it includes only a PajeThreadReader that uses the class QThread so a
 trace file can be read in background without removing the
 interactivity of the tool based on this library. 
 .
 This package contains the run-time files.

Package: libpajeutils-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${misc:Depends},
 libpajeutils1 (= ${binary:Version})
Description: Qt widgets for handling paje trace files (dev)
 This library features Qt widgets to handle Paje trace files. For now,
 it includes only a PajeThreadReader that uses the class QThread so a
 trace file can be read in background without removing the
 interactivity of the tool based on this library. 
 .
 This package contains the development files (headers, etc.)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DH_OPTIONS=

DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
libdir := /usr/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@ $(DH_OPTIONS)

.PHONE: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install
	chrpath -d debian/tmp/usr/bin/pajeng
	chrpath -d debian/tmp/usr/bin/pj_dump
	chrpath -d debian/tmp/usr/bin/pj_validate
	mkdir -p debian/tmp$(libdir)
	mv debian/tmp/usr/lib/libpaje* debian/tmp$(libdir)
	mv debian/tmp/usr/lib/pkgconfig debian/tmp$(libdir)
	sed -e 's,/lib$$,/lib/$(DEB_HOST_MULTIARCH),' \
		-i debian/tmp$(libdir)/pkgconfig/libpaje.pc \
		-i debian/tmp$(libdir)/pkgconfig/libpajeutils.pc 

.PHONY: override_dh_shlibdeps
override_dh_shlibdeps:
	dh_shlibdeps -a -- --warnings=7

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=paje-dbg

.PHONY: override_dh_install
override_dh_install:
	dh_install --list-missing

clean:
	dh clean $(DH_OPTIONS)
	$(RM) -r build
	$(RM) -r stamp-*
	# if this is a git repository, restore removed files that would have
	# been ignored by dpkg-source
	-test -d .git && git checkout -- $$(git status | \
		sed -e '/^#[[:space:]]*deleted:[[:space:]]*/s/^#[[:space:]]*deleted:[[:space:]]*//p;d' | \
		grep -v '^debian/')

DEB_SOURCE := $(shell dpkg-parsechangelog | grep Source: | sed -e 's/Source: //')
DEB_VERSION := $(shell dpkg-parsechangelog | grep Version: | sed -e 's/Version: //')
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed -e 's/-[^-]*$$//')
GIT_URL = https://github.com/schnorr/pajeng.git

get-orig-source::
	set -e; if echo $(DEB_VERSION) | grep -c "git"; \
	then \
	        git_version=`echo $(DEB_VERSION) | sed -e 's/^.*git\([0-9]*\)*\.\(.*\)-.*$$/\2/g'`; \
	else \
	        git_version=$(DEB_UPSTREAM_VERSION); \
	fi; \
	tmpdir=`mktemp -d -t`; \
	cd $$tmpdir; \
	echo "checkout upstream repository ..."; \
	git clone $(GIT_URL); echo "getting specific upstream revision/tag: $$git_version"; \
	cd `ls | head -n 1`; git checkout -b orig $$git_version; cd ..; \
	tar --exclude=.git -czvf $(CURDIR)/$(DEB_SOURCE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz `ls | head -n 1`; \
	cd $(CURDIR); \
	rm -rf $$tmpdir

=== debian/watch ===
version=3
https://github.com/schnorr/pajeng/tags .*/pajeng-(\d[\d\.]+)\.tar\.gz

## pajeng 1.2+git20150818.b1de7cfee5

=== CMakeLists.txt ===
# This file is part of PajeNG
#
# PajeNG is free software: you can redistribute it and/or modify it
# under the terms of the GNU Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# PajeNG is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Public License for more details.
#
# You should have received a copy of the GNU Public License
# along with PajeNG. If not, see <http://www.gnu.org/licenses/>.
CMAKE_MINIMUM_REQUIRED (VERSION 2.8)
PROJECT(pajeng)
# The following line should be deleted in some Ubuntu releases
cmake_policy(SET CMP0050 OLD)
enable_testing()


SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
set(LIB_INSTALL_DIR lib${LIB_SUFFIX} CACHE PATH "Directory where libraries are installed (relative to CMAKE_INSTALL_PREFIX).")

# the cmake options
OPTION(PAJENG         "The PajeNG visualization tool (Qt4 version)" ON)
OPTION(PAJE_UTILS_LIBRARY "The Paje Utils library with QT-dependent components" ON)
OPTION(PAJE_LIBRARY "The Paje library with all the basic components" ON)
OPTION(PAJE_TOOLS     "Compile auxiliary tools (pj_dump, etc)" ON)
OPTION(STATIC_LINKING "Static linking of auxiliary tools" OFF)
OPTION(PAJE_DOC "The Paje Trace File documentation" OFF)

add_subdirectory(src)
if(PAJE_DOC)
  add_subdirectory(doc)
endif(PAJE_DOC)
find_package(Boost)
if(Boost_FOUND)
   include_directories(${Boost_INCLUDE_DIRS})
endif()

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -23,3 +23,5 @@
   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${_OUTPUT} DESTINATION ${CMAKE_INSTALL_PREFIX}/man/man1)
 
 endforeach(_INPUT)
+
+add_subdirectory (${CMAKE_HOME_DIRECTORY}/doc/lang-paje/)

=== src/CMakeLists.txt ===
# This file is part of PajeNG
#
# PajeNG is free software: you can redistribute it and/or modify it
# under the terms of the GNU Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# PajeNG is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Public License for more details.
#
# You should have received a copy of the GNU Public License
# along with PajeNG. If not, see <http://www.gnu.org/licenses/>.
CMAKE_MINIMUM_REQUIRED (VERSION 2.8)

# The Paje Library (libpaje) 
IF(PAJE_LIBRARY)
  add_subdirectory (${CMAKE_HOME_DIRECTORY}/src/libpaje/)
ENDIF(PAJE_LIBRARY)

# Paje tools
IF(PAJE_TOOLS)
  add_subdirectory (${CMAKE_HOME_DIRECTORY}/src/tools)
ENDIF(PAJE_TOOLS)

# The Paje Utils Library (libpajeutils)
IF(PAJE_UTILS_LIBRARY)
  add_subdirectory (${CMAKE_HOME_DIRECTORY}/src/utils)
ENDIF(PAJE_UTILS_LIBRARY)

# The PajeNG
IF(PAJENG)
  add_subdirectory (${CMAKE_HOME_DIRECTORY}/src/pajeng)
ENDIF(PAJENG)

=== src/libpaje/CMakeLists.txt ===
# This file is part of PajeNG
#
# PajeNG is free software: you can redistribute it and/or modify it
# under the terms of the GNU Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# PajeNG is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Public License for more details.
#
# You should have received a copy of the GNU Public License
# along with PajeNG. If not, see <http://www.gnu.org/licenses/>.
CMAKE_MINIMUM_REQUIRED (VERSION 2.8)

FIND_PACKAGE(FLEX REQUIRED)
FIND_PACKAGE(BISON REQUIRED)
FLEX_TARGET(scanner scanner.l ${CMAKE_CURRENT_BINARY_DIR}/lexer.cc COMPILE_FLAGS "-F")
BISON_TARGET(parser parser.y ${CMAKE_CURRENT_BINARY_DIR}/parser.cc VERBOSE parser.output)

# The Paje Library (libpaje)
SET(LIBPAJE_HEADERS
  PajeColor.h
  PajeException.h
  PajeProtocols.h
  PajeComponent.h
  PajeContainer.h
  PajeData.h
  PajeEntity.h
  PajeEventDecoder.h
  PajeEventDefinition.h
  PajeTraceEvent.h
  PajeEvent.h
  PajeFileReader.h
  PajeObject.h
  PajeSimulator.h
  PajeProbabilisticSimulator.h
  PajeType.h
  PajeValue.h
  PajeDefinitions.h
  PajeFlexReader.h
  PajeUnity.h
  PajeEnum.h
)
SET(LIBPAJE_SOURCES
  PajeEventDefinition.cc
  PajeTraceEvent.cc
  PajeEvent.cc
  PajeData.cc
  PajeFileReader.cc
  PajeObject.cc
  PajeEventDecoder.cc
  PajeSimulator.cc
  PajeProbabilisticSimulator.cc
  PajeSimulator+Queries.cc
  PajeSimulator+Commands.cc
  PajeComponent.cc
  PajeType.cc
  PajeValue.cc
  PajeEntity.cc
  PajeContainer.cc
  PajeColor.cc
  PajeException.cc
  PajeDefinitions.cc
  ${FLEX_scanner_OUTPUTS}
  ${BISON_parser_OUTPUTS}
  PajeFlexReader.cc
  PajeUnity.cc
)

FIND_PACKAGE(Boost REQUIRED)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
INCLUDE_DIRECTORIES(${CMAKE_HOME_DIRECTORY}/src/libpaje)
INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIR})

IF(STATIC_LINKING)
  # static library
  ADD_LIBRARY(paje_library_static STATIC ${LIBPAJE_SOURCES})
  TARGET_LINK_LIBRARIES(paje_library_static ${FLEX_LIBRARIES})
  SET_TARGET_PROPERTIES(paje_library_static PROPERTIES OUTPUT_NAME paje)
ELSE(STATIC_LINKING)
  # shared library
  ADD_LIBRARY(paje_library SHARED ${LIBPAJE_SOURCES})
  TARGET_LINK_LIBRARIES(paje_library ${FLEX_LIBRARIES})
  SET_TARGET_PROPERTIES(paje_library PROPERTIES OUTPUT_NAME paje)
  SET_TARGET_PROPERTIES(paje_library PROPERTIES
    # bump when new function are added in the library
    VERSION 1.0
    # bump when ABI is broken (symbols removed or parameters changed)
    SOVERSION 1)
  # bump when the API change (new functions in the header file)
  SET(LIBPAJE_APIVERSION 1)
  INSTALL(TARGETS paje_library DESTINATION ${LIB_INSTALL_DIR})
  INSTALL(FILES ${LIBPAJE_HEADERS} DESTINATION include)

  #pkgconfig
  CONFIGURE_FILE (libpaje.pc.cmake libpaje.pc @ONLY)
  INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/libpaje.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
ENDIF(STATIC_LINKING)

#### VERSION CHECK

###############
## GIT version check
##
if(EXISTS ${CMAKE_HOME_DIRECTORY}/.git/)
  execute_process(COMMAND git remote
  COMMAND head -n 1
  WORKING_DIRECTORY ${CMAKE_HOME_DIRECTORY}/.git/
  OUTPUT_VARIABLE remote
  RESULT_VARIABLE ret
  )
  string(REPLACE "\n" "" remote "${remote}")
  execute_process(COMMAND git config --get remote.${remote}.url
  WORKING_DIRECTORY ${CMAKE_HOME_DIRECTORY}/.git/
  OUTPUT_VARIABLE url
  RESULT_VARIABLE ret
  )
  string(REPLACE "\n" "" url "${url}")
  #message(STATUS "Git url: ${url}")
  if(url)
    execute_process(COMMAND git --git-dir=${CMAKE_HOME_DIRECTORY}/.git log --pretty=oneline --abbrev-commit -1
    WORKING_DIRECTORY ${CMAKE_HOME_DIRECTORY}/.git/
    OUTPUT_VARIABLE GIT_VERSION
    RESULT_VARIABLE ret
    )
    string(REPLACE "\n" "" GIT_VERSION "${GIT_VERSION}")
    message(STATUS "Git version: ${GIT_VERSION}")
    execute_process(COMMAND git --git-dir=${CMAKE_HOME_DIRECTORY}/.git log -n 1 --pretty=format:%ai .
    WORKING_DIRECTORY ${CMAKE_HOME_DIRECTORY}/.git/
    OUTPUT_VARIABLE GIT_DATE
    RESULT_VARIABLE ret
    )
    string(REPLACE "\n" "" GIT_DATE "${GIT_DATE}")
    message(STATUS "Git date: ${GIT_DATE}")
    string(REGEX REPLACE " .*" "" GIT_VERSION "${GIT_VERSION}")

    execute_process(COMMAND git --git-dir=${CMAKE_HOME_DIRECTORY}/.git log --pretty=format:%H -1
                    WORKING_DIRECTORY ${CMAKE_HOME_DIRECTORY}/.git/
                    OUTPUT_VARIABLE LIBPAJE_GITHASH
                    RESULT_VARIABLE ret
                    )
    string(REPLACE "\n" "" LIBPAJE_GITHASH "${LIBPAJE_GITHASH}")

  endif()
elseif(EXISTS ${CMAKE_HOME_DIRECTORY}/.gitversion)
  FILE(STRINGS ${CMAKE_HOME_DIRECTORY}/.gitversion GIT_VERSION)
endif()

if(release)
  set(LIBPAJE_VERSION_STRING "${LIBPAJE_VERSION_STRING}\\nRelease build")
else()
  set(LIBPAJE_VERSION_STRING "${LIBPAJE_VERSION_STRING}\\nDevelopment build")
endif()
if(GIT_VERSION)
  set(LIBPAJE_VERSION_STRING "${LIBPAJE_VERSION_STRING} at commit ${GIT_VERSION}")
endif()
if(GIT_DATE)
  set(LIBPAJE_VERSION_STRING "${LIBPAJE_VERSION_STRING} (${GIT_DATE})")
endif()

configure_file("${CMAKE_HOME_DIRECTORY}/src/libpaje/libpaje_config.h.in" "${CMAKE_BINARY_DIR}/libpaje_config.h" @ONLY IMMEDIATE)

=== src/pajeng/CMakeLists.txt ===
# This file is part of PajeNG
#
# PajeNG is free software: you can redistribute it and/or modify it
# under the terms of the GNU Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# PajeNG is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Public License for more details.
#
# You should have received a copy of the GNU Public License
# along with PajeNG. If not, see <http://www.gnu.org/licenses/>.
CMAKE_MINIMUM_REQUIRED (VERSION 2.8)

# The PajeNG (Qt4 version)
SET(PAJE_HEADERS
  PajeApplication.h
  PajeWindow.h
  PajeSpaceTimeFrame.h
  PajeSpaceTimeView.h)
SET(PAJE_SOURCES
  main.cc
  PajeApplication.cc
  PajeWindow.cc
  PajeSpaceTimeFrame.cc
  PajeSpaceTimeView.cc
  STEntityTypeLayout.cc
  PajeGraphicsItem.cc)

IF(NOT PAJE_LIBRARY)
  MESSAGE(FATAL_ERROR "You must enable PAJE_LIBRARY to compile pajeng")
ENDIF(NOT PAJE_LIBRARY)
IF(NOT PAJE_UTILS_LIBRARY)
  MESSAGE(FATAL_ERROR "You must enable PAJE_UTILS_LIBRARY to compile pajeng")
ENDIF(NOT PAJE_UTILS_LIBRARY)
FIND_PACKAGE(Qt4 REQUIRED QtCore QtGui QtOpenGl)
FIND_PACKAGE(GLUT REQUIRED)
FIND_PACKAGE(OpenGL REQUIRED)
QT4_WRAP_CPP(PAJE_HEADERS_MOC ${PAJE_HEADERS})
INCLUDE(${QT_USE_FILE})
ADD_DEFINITIONS(${QT_DEFINITIONS})
ADD_EXECUTABLE(pajeng ${PAJE_SOURCES} ${PAJE_HEADERS_MOC})
find_package(Boost)
if(Boost_FOUND)
   include_directories(${Boost_INCLUDE_DIRS})
endif()

INCLUDE_DIRECTORIES(pajeng ${PROJECT_SOURCE_DIR}/src/libpaje/)
TARGET_LINK_LIBRARIES(pajeng ${QT_LIBRARIES})
TARGET_LINK_LIBRARIES(pajeng ${GLUT_glut_LIBRARY})
TARGET_LINK_LIBRARIES(pajeng ${OPENGL_gl_LIBRARY})
TARGET_LINK_LIBRARIES(pajeng ${OPENGL_glu_LIBRARY})
IF(STATIC_LINKING)
  TARGET_LINK_LIBRARIES(pajeng paje_library_static)
  TARGET_LINK_LIBRARIES(pajeng paje_utils_library_static)
ELSE(STATIC_LINKING)
  TARGET_LINK_LIBRARIES(pajeng paje_library)
  TARGET_LINK_LIBRARIES(pajeng paje_utils_library)
ENDIF(STATIC_LINKING)
SET_PROPERTY(TARGET pajeng PROPERTY RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})
INSTALL(PROGRAMS ${CMAKE_BINARY_DIR}/pajeng DESTINATION bin)
INSTALL(FILES ${UTILS_HEADERS} DESTINATION include)

=== src/tools/CMakeLists.txt ===
# This file is part of PajeNG
#
# PajeNG is free software: you can redistribute it and/or modify it
# under the terms of the GNU Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# PajeNG is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Public License for more details.
#
# You should have received a copy of the GNU Public License
# along with PajeNG. If not, see <http://www.gnu.org/licenses/>.
CMAKE_MINIMUM_REQUIRED (VERSION 2.8)

IF(NOT PAJE_LIBRARY)
  MESSAGE(FATAL_ERROR "Enable PAJE_LIBRARY to compile paje tools")
ENDIF(NOT PAJE_LIBRARY)

#pj_validade
ADD_EXECUTABLE(pj_validate pj_validate.cc)
INCLUDE_DIRECTORIES (pj_validate ${PROJECT_SOURCE_DIR}/src/libpaje/)
INCLUDE_DIRECTORIES(${pajeng_SOURCE_DIR}/src/fb/)
include_directories(${CMAKE_BINARY_DIR})
find_package(Boost)
if(Boost_FOUND)
   include_directories(${Boost_INCLUDE_DIRS})
endif()


IF(STATIC_LINKING)
  TARGET_LINK_LIBRARIES(pj_validate paje_library_static)
ELSE(STATIC_LINKING)
  TARGET_LINK_LIBRARIES(pj_validate paje_library)
ENDIF(STATIC_LINKING)
SET_PROPERTY(TARGET pj_validate PROPERTY RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})
INSTALL(PROGRAMS ${CMAKE_BINARY_DIR}/pj_validate DESTINATION bin)

#pj_dump
ADD_EXECUTABLE(pj_dump pj_dump.cc)
INCLUDE_DIRECTORIES (pj_dump ${PROJECT_SOURCE_DIR}/src/libpaje/)
INCLUDE_DIRECTORIES(${pajeng_SOURCE_DIR}/src/fb/)
include_directories(${CMAKE_BINARY_DIR})
find_package(Boost)
if(Boost_FOUND)
   include_directories(${Boost_INCLUDE_DIRS})
endif()


IF(STATIC_LINKING)
  TARGET_LINK_LIBRARIES(pj_dump paje_library_static)
ELSE(STATIC_LINKING)
  TARGET_LINK_LIBRARIES(pj_dump paje_library)
ENDIF(STATIC_LINKING)
SET_PROPERTY(TARGET pj_dump PROPERTY RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})
INSTALL(PROGRAMS ${CMAKE_BINARY_DIR}/pj_dump DESTINATION bin)


#
# test with tesh (thanks SimGrid team)
#
#testing the pajeng suite (with pj_dump and pj_validate) through tesh
FILE(COPY ${CMAKE_HOME_DIRECTORY}/tests/scripts/ DESTINATION ${CMAKE_BINARY_DIR}/bin)

# the macro to add tesh'es
SET(TESH_COMMAND perl -I${CMAKE_BINARY_DIR}/bin/ ${CMAKE_BINARY_DIR}/bin/tesh)
MACRO(ADD_TESH NAME)
  SET(ARGT ${ARGV})
  LIST(REMOVE_AT ARGT 0)
  ADD_TEST(${NAME} ${TESH_COMMAND} ${TESH_OPTION} ${ARGT})
ENDMACRO()

# include all tesh scripts in the tests directory
FILE(GLOB tests "${CMAKE_HOME_DIRECTORY}/tests/*.tesh")
LIST(SORT tests)
FOREACH(file ${tests})
  STRING(REGEX REPLACE "^.*/tests/" "" name ${file})
  STRING(REGEX REPLACE ".tesh$" "" testname ${name})
  ADD_TESH(${testname}  --cd "${CMAKE_BINARY_DIR}" ${file})
ENDFOREACH()

=== src/utils/CMakeLists.txt ===
# This file is part of PajeNG
#
# PajeNG is free software: you can redistribute it and/or modify it
# under the terms of the GNU Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# PajeNG is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Public License for more details.
#
# You should have received a copy of the GNU Public License
# along with PajeNG. If not, see <http://www.gnu.org/licenses/>.
CMAKE_MINIMUM_REQUIRED (VERSION 2.8)

# The Paje Utils Library (libpajeutils)
SET(UTILS_HEADERS PajeThreadReader.h)
SET(UTILS_SOURCES PajeThreadReader.cc)

FIND_PACKAGE(Qt4 REQUIRED QtCore QtGui QtOpenGl)
FIND_PACKAGE(GLUT REQUIRED)
FIND_PACKAGE(OpenGL REQUIRED)
QT4_WRAP_CPP(UTILS_HEADERS_MOC ${UTILS_HEADERS})
INCLUDE(${QT_USE_FILE})
find_package(Boost)
if(Boost_FOUND)
   include_directories(${Boost_INCLUDE_DIRS})
endif()


ADD_DEFINITIONS(${QT_DEFINITIONS})
LINK_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

IF(STATIC_LINKING)
  #static
  INCLUDE_DIRECTORIES (paje_utils_library_static ${PROJECT_SOURCE_DIR}/src/libpaje/)
  ADD_LIBRARY(paje_utils_library_static STATIC ${UTILS_SOURCES} ${UTILS_HEADERS_MOC})
  TARGET_LINK_LIBRARIES(paje_utils_library_static ${QT_LIBRARIES})
  TARGET_LINK_LIBRARIES(paje_utils_library_static ${GLUT_glut_LIBRARY})
  SET_TARGET_PROPERTIES(paje_utils_library_static PROPERTIES OUTPUT_NAME pajeutils)
ELSE(STATIC_LINKING)
  #shared
  INCLUDE_DIRECTORIES (paje_utils_library ${PROJECT_SOURCE_DIR}/src/libpaje/)
  ADD_LIBRARY(paje_utils_library SHARED ${UTILS_SOURCES} ${UTILS_HEADERS_MOC})
  TARGET_LINK_LIBRARIES(paje_utils_library ${QT_LIBRARIES})
  TARGET_LINK_LIBRARIES(paje_utils_library ${GLUT_glut_LIBRARY})
  TARGET_LINK_LIBRARIES(paje_utils_library paje_library)
  SET_TARGET_PROPERTIES(paje_utils_library PROPERTIES OUTPUT_NAME pajeutils)
  SET_TARGET_PROPERTIES(paje_utils_library PROPERTIES
    # bump when new function are added in the library
    VERSION 1.0
    # bump when ABI is broken (symbols removed or parameters changed)
    SOVERSION 1)
  # bump when the API change (new functions in the header file)
  SET(LIBPAJEUTILS_APIVERSION 1)
  INSTALL(TARGETS paje_utils_library DESTINATION ${LIB_INSTALL_DIR})
  INSTALL(FILES ${UTILS_HEADERS} DESTINATION include)

  #pkgconfig
  CONFIGURE_FILE (libpajeutils.pc.cmake libpajeutils.pc @ONLY)
  INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/libpajeutils.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
ENDIF(STATIC_LINKING)

=== debian/changelog ===
pajeng (1.2+git20150818.b1de7cfee5-2) unstable; urgency=medium

  * Build-depend on docbook-xsl to fix FTBFS without Internet connection.
    Thanks Logan Rosen for the patch!
    Closes: #796190

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 20 Aug 2015 11:54:26 +0200

pajeng (1.2+git20150818.b1de7cfee5-1) unstable; urgency=medium

  * New upstream snapshot.
    + Add texlive, flex and bison to build-dependencies.
    + Build documentation.
    + Install some additional headers, and manpages.
  * Rename library package for G++ ABI transition. Closes: #791235
  * Add patch from Ubuntu to fix FTBFS.
  * Drop direct pre-depends on multiarch-support.
  * Bump Standards-Version.

 -- Lucas Nussbaum <lucas@debian.org>  Tue, 18 Aug 2015 17:16:30 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Uploaders: Lucas Nussbaum <lucas@debian.org>
 Build-Depends: debhelper (>= 9.0.0), chrpath,
  libqt4-dev, libboost-dev, freeglut3-dev, cmake, libqt4-opengl-dev,
- asciidoc, libxml2-utils, docbook-xml, xsltproc
-Standards-Version: 3.9.5
+ asciidoc, libxml2-utils, docbook-xml, xsltproc, flex, bison, texlive-latex-extra, texlive-fonts-recommended, docbook-xsl
+Standards-Version: 3.9.6
 Section: libs
 Homepage: https://github.com/schnorr/pajeng
 Vcs-Git: git://anonscm.debian.org/collab-maint/pajeng.git
@@ -14,9 +14,9 @@
 Package: pajeng
 Architecture: any
 Multi-Arch: foreign
-Pre-Depends: multiarch-support
-Depends:  ${shlibs:Depends}, ${misc:Depends},
-  libpaje1 (= ${binary:Version}), libpajeutils1 (= ${binary:Version})
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
+  libpaje1v5 (= ${binary:Version}), libpajeutils1 (= ${binary:Version})
 Description: space-time view and associated tools for Paje trace files
  PajeNG (Paje Next Generation) is a re-implementation (in C++) and
  direct heir of the well-known Paje visualization tool for the
@@ -24,11 +24,13 @@
  visualization (space/time view). Auxiliary tools are also available
  to dump to CSV and validate the correctness of Paje trace files.
 
-Package: libpaje1
+Package: libpaje1v5
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libpaje1
+Replaces: libpaje1
 Description: Parsing, manipulation and simulation of paje trace files
  The libpaje library features the implementation of the Paje File
  Reader, Event Decoder and Simulator. It is capable of reading trace
@@ -45,9 +47,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
- libpaje1 (= ${binary:Version})
+ libpaje1v5 (= ${binary:Version})
 Description: Parsing, manipulation and simulation of paje trace files (dev)
  The libpaje library features the implementation of the Paje File
  Reader, Event Decoder and Simulator. It is capable of reading trace
@@ -64,9 +66,9 @@
 Section: debug
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
- pajeng (= ${binary:Version}) | libpaje1 (= ${binary:Version}) | libpajeutils1 (= ${binary:Version})
+ pajeng (= ${binary:Version}) | libpaje1v5 (= ${binary:Version}) | libpajeutils1 (= ${binary:Version})
 Description: Debug symbols for the Paje libraries
  The libpaje library features the implementation of the Paje File
  Reader, Event Decoder and Simulator. It is capable of reading trace
@@ -83,7 +85,7 @@
 Package: libpajeutils1
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Qt widgets for handling paje trace files
  This library features Qt widgets to handle Paje trace files. For now,
@@ -97,7 +99,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
  libpajeutils1 (= ${binary:Version})
 Description: Qt widgets for handling paje trace files (dev)

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 DH_OPTIONS=
 
@@ -12,7 +12,10 @@
 %:
 	dh $@ $(DH_OPTIONS)
 
-.PHONE: override_dh_auto_install
+override_dh_auto_configure:
+	dh_auto_configure -- -DPAJE_DOC=ON
+
+.PHONY: override_dh_auto_install
 override_dh_auto_install:
 	dh_auto_install
 	chrpath -d debian/tmp/usr/bin/pajeng
